/*
 * This file is generated by jOOQ.
*/
package cc.cinnamon.canary.users.model.tables.interfaces


import javax.annotation.Generated
import javax.validation.constraints.NotNull
import java.io.Serializable


/**
 * This class is generated by jOOQ.
 */
@Generated(value = *arrayOf("http://www.jooq.org", "jOOQ version:3.9.1", "schema version:public_4"), date = "2017-02-20T21:56:50.783Z", comments = "This class is generated by jOOQ")
interface IRolesPermissions : Serializable {

    /**
     * Getter for `public.roles_permissions.id`.
     */
    /**
     * Setter for `public.roles_permissions.id`.
     */
    var id: Long?

    /**
     * Getter for `public.roles_permissions.role_id`.
     */
    /**
     * Setter for `public.roles_permissions.role_id`.
     */
    @get:NotNull
    var roleId: Long?

    /**
     * Getter for `public.roles_permissions.permission_id`.
     */
    /**
     * Setter for `public.roles_permissions.permission_id`.
     */
    @get:NotNull
    var permissionId: Long?

    // -------------------------------------------------------------------------
    // FROM and INTO
    // -------------------------------------------------------------------------

    /**
     * Load data from another generated Record/POJO implementing the common interface IRolesPermissions
     */
    fun from(from: IRolesPermissions)

    /**
     * Copy data into another generated Record/POJO implementing the common interface IRolesPermissions
     */
    fun <E : IRolesPermissions> into(into: E): E
}
